
Redmine - Defect #4876

Problem with fetch git-changesets after upgrade to Redmine 0.9.2

2010-02-18 16:14 - Ruben Ambarcumyanc

Status: Closed Start date: 2010-02-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 0.9.2

Description

We use git and Redmine.

After upgrade to Redmine 0.9.2 from 0.8.6 such problem is:

cd to redmine-wwwroot and

1. ruby script/runner "Repository.fetch_changesets" -e production

warning: too many files, skipping inexact rename detection

...

warning: too many files, skipping inexact rename detection

And had to wait several minutes when it complete its writing.

git version 1.5.5.6

How to solve this problem? Issue did not exist before with Redmine 0.8.6.

Related issues:

Is duplicate of Redmine - Defect #4547: git: Very high CPU usage for a long t... Closed 2010-01-11

History

#1 - 2010-02-18 20:19 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

This was already reported a few times, see #4547.

A fix is committed in trunk (r3394).

It will be merged in 0.9-stable when I get some feedback since I'm not a git user.

#2 - 2010-02-22 11:46 - Ruben Ambarcumyanc

- Status changed from Closed to Reopened

I have updated both files 'git.rb' and 'git_adapter.rb' from trunk (r3394). Speed increased, but I'm stil see such warnings:

warning: too many files, skipping inexact rename detection

...

warning: too many files, skipping inexact rename detection

#3 - 2010-02-28 10:39 - Jean-Philippe Lang

You should merge r3468 too.

#4 - 2010-02-28 11:15 - Jean-Philippe Lang

- Status changed from Reopened to Closed

A few commits were merged in 0.9-stable including r3394 and r3468.

This brings back fetching git changesets to a decent speed.
